Bug 1036499 - (CVE-2013-6054) CVE-2013-6054 openjpeg: heap-based buffer overflows in version 1.3
CVE-2013-6054 openjpeg: heap-based buffer overflows in version 1.3
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131204,repo...
: Security
Depends On: 1038411 1038985 1038987
Blocks: 1036502
  Show dependency treegraph
 
Reported: 2013-12-02 02:08 EST by Murray McAllister
Modified: 2016-03-04 05:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 12:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.12 KB, patch)
2013-12-02 02:39 EST, Murray McAllister
no flags Details | Diff

  None (edit)
Description Murray McAllister 2013-12-02 02:08:16 EST
Raphael Geissert discovered multiple heap-based buffer overflows in OpenJPEG. If a specially-crafted image were opened by an application linked against OpenJPEG, it could cause the application to crash or, potentially, execute arbitrary code with the privileges of the user running the application.

These issues only affected the version of OpenJPEG as shipped in Red Hat Enterprise Linux 6 and EPEL 5 (version 1.3).
Comment 1 Murray McAllister 2013-12-02 02:39:33 EST
Created attachment 831466 [details]
proposed patch
Comment 2 Murray McAllister 2013-12-02 09:07:14 EST
Acknowledgements:

Red Hat would like to thank Raphael Geissert for reporting these issues during a review for EDF.
Comment 3 Murray McAllister 2013-12-05 00:12:52 EST
Created openjpeg tracking bugs for this issue:

Affects: epel-5 [bug 1038411]
Comment 5 errata-xmlrpc 2013-12-17 13:42:42 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1850 https://rhn.redhat.com/errata/RHSA-2013-1850.html

Note You need to log in before you can comment on or make changes to this bug.